%global debug_package %{nil}

%global macros_dir %{_rpmconfigdir}/macros.d

Name:           ghc-rpm-macros
Version:        2.6.5
Release:        3%{?dist}
Summary:        RPM macros for building Haskell packages for GHC

License:        GPL-3.0-or-later
URL:            https://src.fedoraproject.org/rpms/ghc-rpm-macros/
Source0:        macros.ghc
Source1:        COPYING
Source2:        AUTHORS
Source3:        ghc-deps.sh
Source4:        cabal-tweak-dep-ver
Source5:        cabal-tweak-flag
Source6:        macros.ghc-extra
Source7:        ghc.attr
Source8:        ghc-pkg-wrapper
Source9:        macros.ghc-os
Source10:       Setup.hs
Source11:       cabal-tweak-drop-dep
Source12:       cabal-tweak-remove-upperbound
Source13:       ghc-info.sh
Requires:       system-rpm-config
Requires:       chrpath
BuildArch:      noarch

%description
A set of macros for building GHC packages following the Haskell Guidelines
of the Fedora Haskell SIG.


%package extra
Summary:        Extra RPM macros for building Haskell library subpackages
Requires:       %{name} = %{version}-%{release}

%description extra
Extra macros used for subpackaging of Haskell libraries,
for example in ghc and haskell-platform.


%package -n ghc-obsoletes
Summary:        Dummy package to obsolete deprecated Haskell packages

%description -n ghc-obsoletes
Meta package for obsoleting deprecated Haskell packages.

This package can safely be removed.


%prep
%setup -c -T
cp %{SOURCE1} %{SOURCE2} .


%build
echo no build stage


%install
install -p -D -m 0644 %{SOURCE0} %{buildroot}%{macros_dir}/macros.ghc
install -p -D -m 0644 %{SOURCE6} %{buildroot}%{macros_dir}/macros.ghc-extra
install -p -D -m 0644 %{SOURCE9} %{buildroot}%{macros_dir}/macros.ghc-os

install -p -D -m 0755 %{SOURCE3} %{buildroot}%{_prefix}/lib/rpm/ghc-deps.sh
install -p -D -m 0755 %{SOURCE13} %{buildroot}%{_prefix}/lib/rpm/ghc-info.sh

install -p -D -m 0644 %{SOURCE7} %{buildroot}%{_prefix}/lib/rpm/fileattrs/ghc.attr

install -p -D -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/%{name}/Setup.hs

install -p -D -m 0755 %{SOURCE4} %{buildroot}%{_bindir}/cabal-tweak-dep-ver
install -p -D -m 0755 %{SOURCE5} %{buildroot}%{_bindir}/cabal-tweak-flag
install -p -D -m 0755 %{SOURCE11} %{buildroot}%{_bindir}/cabal-tweak-drop-dep
install -p -D -m 0755 %{SOURCE12} %{buildroot}%{_bindir}/cabal-tweak-remove-upperbound
install -p -D -m 0755 %{SOURCE8} %{buildroot}%{_prefix}/lib/rpm/ghc-pkg-wrapper


%files
%license COPYING
%doc AUTHORS
%{macros_dir}/macros.ghc
%{macros_dir}/macros.ghc-os
%{_prefix}/lib/rpm/fileattrs/ghc.attr
%{_prefix}/lib/rpm/ghc-deps.sh
%{_prefix}/lib/rpm/ghc-info.sh
%{_prefix}/lib/rpm/ghc-pkg-wrapper
%{_bindir}/cabal-tweak-dep-ver
%{_bindir}/cabal-tweak-drop-dep
%{_bindir}/cabal-tweak-flag
%{_bindir}/cabal-tweak-remove-upperbound
%{_datadir}/%{name}/Setup.hs


%files extra
%{macros_dir}/macros.ghc-extra


%files -n ghc-obsoletes


%changelog
* Tue Jun 11 2024 Xin Cheng <denisecheng@tencent.com> - 2.6.5-3
- [Type] bugfix
- [DESC] use system-rpm-config

* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.5-2
- rebase to add ocs and ts macros

* Fri Apr 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.5-1
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.5-1
- initial build
